Bug 138290 - GPSSync tool integration in the side bar
Summary: GPSSync tool integration in the side bar
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Generic-GeolocationEdit (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist with 40 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-12-03 12:16 UTC by Antonio E.
Modified: 2017-07-28 20:39 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 0.10.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Antonio E. 2006-12-03 12:16:45 UTC
Version:           0.9.0 (using KDE KDE 3.5.5)
Installed from:    Compiled From Sources
OS:                Linux

It would be nice to have the GPSSync plugin integrated in the side bar, to that way display the real satellite images of map (with the tools: pan, zoom,...) instead of a general world map. This issue is opened as a continuation of #133359.

This feature should be optional, because people without network connection or slow connections would preffer to use the existing implementation.
Comment 1 Mikolaj Machowski 2006-12-03 20:37:49 UTC
GPSsync is kipi-plugin - and other apps can use it.
Comment 2 Viesturs Zarins 2007-06-26 11:17:22 UTC
It would also be nice to be able to assign GPS data to the images that doesn't have it directly inside the side bar.
Comment 3 caulier.gilles 2008-04-03 19:22:15 UTC
SVN commit 793334 by cgilles:

digiKam from trunk : Marble widget integration into right sidebar as new Geolocation of picture!
A screenshot of digiKam using Marble can be seen here:

http://digikam3rdparty.free.fr/Screenshots/marbleintegrationforphotogeolocation.png

CCMAIL: digikam-devel@kde.org
BUG: 138290


 M  +5 -5      imagepropertiesgpstab.cpp  
 M  +2 -2      imagepropertiesgpstab.h  
 M  +1 -1      imagepropertiessidebarcamgui.cpp  
 M  +2 -1      imagepropertiessidebardb.cpp  
 M  +79 -95    worldmapwidget.cpp  
 M  +13 -16    worldmapwidget.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=793334